Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class GeneratedAdvisorInstrumentor

    java.lang.Object
      org.jboss.aop.instrument.Instrumentor
          org.jboss.aop.instrument.GeneratedAdvisorInstrumentor

public class GeneratedAdvisorInstrumentor
extends Instrumentor

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Field Summary
`static String` | `ADVICES_UPDATED`
`static String` | `ADVISED_CLASS`
`static String` | `CHECK_VERSION`
`static String` | `CREATE_INSTANCE_ADVISOR`
`static String` | `DOMAIN`
`static javassist.CtClass[]` | `EMPTY_EXCEPTIONS`
`static javassist.CtClass[]` | `EMPTY_SIG`
`static String` | `GET_CURRENT_ADVISOR`
`static String` | `INITIALISE_CALLERS`
`static String` | `INITIALISE_CONSTRUCTIONS`
`static String` | `INITIALISE_CONSTRUCTORS`
`static String` | `INITIALISE_FIELD_READS`
`static String` | `INITIALISE_FIELD_WRITES`
`static String` | `INITIALISE_METHODS`
`static String` | `INSTANCE_ADVISOR`
`static String` | `INSTANCE_ADVISOR_MIXIN`
`static String` | `VERSION`

Fields inherited from class org.jboss.aop.instrument.Instrumentor
`AOP_PACKAGE, ASPECT_MANAGER_CLASS_NAME, basicsSet, classPool, converter, HELPER_FIELD_NAME, joinpointClassifier, manager, processedClasses`

Constructor Summary
`GeneratedAdvisorInstrumentor(AOPClassPool pool, AspectManager manager, JoinpointClassifier joinpointClassifier, DynamicTransformationObserver observer)`
`GeneratedAdvisorInstrumentor(AspectManager manager, JoinpointClassifier joinpointClassifier)`

Method Summary
`protected void` | `addJoinPointGeneratorFieldToGenAdvisor(String name)`
`protected javassist.CtClass` | `createAdvisorClass(javassist.CtClass clazz)`
`protected void` | `createAdvisorCtors(javassist.CtClass clazz)`
`protected javassist.CtClass` | `createInstanceAdvisorClass(javassist.CtClass clazz)`
`protected javassist.CtMethod` | `createMixinInvokeMethod(javassist.CtClass clazz, javassist.CtClass mixinClass, String initializer, javassist.CtMethod method, long hash)` Creates generic invoke method to be wrapped by real signatures.
`protected void` | `doSetupBasics(javassist.CtClass clazz)`
`protected static String` | `getAdvisorFQN(javassist.CtClass clazz)`
`protected static String` | `getAdvisorName(javassist.CtClass clazz)`
`protected javassist.CtClass` | `getGenadvisor()`
`protected javassist.CtClass` | `getGenInstanceadvisor()`
`protected static String` | `getInstanceAdvisorFQN(javassist.CtClass clazz)`
`protected static String` | `getInstanceAdvisorName(javassist.CtClass clazz)`
`protected javassist.CtClass` | `getSuperClassAdvisor(javassist.CtClass superclass)`
`protected void` | `implementInstanceAdvisorMethods()`
`protected void` | `initaliseMethodInfo(String infoName, long hash, long unadvisedHash)`
`protected void` | `initialiseCallerInfoField(String infoName, String init)`
`protected void` | `initialiseConstructionInfoField(String infoName, int index, long constructorHash)`
`protected void` | `initialiseConstructorInfoField(String infoName, int index, long constructorHash, long wrapperHash)`
`protected void` | `initialiseFieldReadInfoField(String infoName, int index, String fieldName, long wrapperHash)`
`protected void` | `initialiseFieldWriteInfoField(String infoName, int index, String fieldName, long wrapperHash)`
`protected void` | `intitialiseTransformers()`
`boolean` | `transform(javassist.CtClass clazz, ClassAdvisor advisor)` Makes class advisable.
`static String` | `updatedAdvicesName(String infoName)`

Methods inherited from class org.jboss.aop.instrument.Instrumentor
`addProtectedField, addStaticField, applyCallerPointcuts, convertProcessedClasses, convertReferences, forName, getAdvisableFields, getClassPool, getConstructors, interceptorChainsUpdated, isAdvisable, isAdvisable, isAdvised, isBaseClass, isTransformable, mixinFieldName, setupBasics, shouldNotTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE_ADVISOR

    public static final String INSTANCE_ADVISOR

See Also:
  Constant Field Values

### GET_CURRENT_ADVISOR

    public static final String GET_CURRENT_ADVISOR

See Also:
  Constant Field Values

### ADVISED_CLASS

    public static final String ADVISED_CLASS

See Also:
  Constant Field Values

### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### CHECK_VERSION

    public static final String CHECK_VERSION

See Also:
  Constant Field Values

### ADVICES_UPDATED

    public static final String ADVICES_UPDATED

See Also:
  Constant Field Values

### INSTANCE_ADVISOR_MIXIN

    public static final String INSTANCE_ADVISOR_MIXIN

See Also:
  Constant Field Values

### CREATE_INSTANCE_ADVISOR

    public static final String CREATE_INSTANCE_ADVISOR

See Also:
  Constant Field Values

### INITIALISE_CALLERS

    public static final String INITIALISE_CALLERS

See Also:
  Constant Field Values

### INITIALISE_FIELD_WRITES

    public static final String INITIALISE_FIELD_WRITES

See Also:
  Constant Field Values

### INITIALISE_FIELD_READS

    public static final String INITIALISE_FIELD_READS

See Also:
  Constant Field Values

### INITIALISE_CONSTRUCTIONS

    public static final String INITIALISE_CONSTRUCTIONS

See Also:
  Constant Field Values

### INITIALISE_CONSTRUCTORS

    public static final String INITIALISE_CONSTRUCTORS

See Also:
  Constant Field Values

### INITIALISE_METHODS

    public static final String INITIALISE_METHODS

See Also:
  Constant Field Values

### EMPTY_EXCEPTIONS

    public static final javassist.CtClass[] EMPTY_EXCEPTIONS

### EMPTY_SIG

    public static final javassist.CtClass[] EMPTY_SIG

Constructor Detail

### GeneratedAdvisorInstrumentor

    public GeneratedAdvisorInstrumentor(AOPClassPool pool,
                                        AspectManager manager,
                                        JoinpointClassifier joinpointClassifier,
                                        DynamicTransformationObserver observer)

### GeneratedAdvisorInstrumentor

    public GeneratedAdvisorInstrumentor(AspectManager manager,
                                        JoinpointClassifier joinpointClassifier)

Method Detail

### getGenadvisor

    protected javassist.CtClass getGenadvisor()

### getGenInstanceadvisor

    protected javassist.CtClass getGenInstanceadvisor()

### transform

    public boolean transform(javassist.CtClass clazz,
                             ClassAdvisor advisor)

  Description copied from class: `Instrumentor`
  Makes class advisable.

  Overrides:
    `transform` in class `Instrumentor`

### intitialiseTransformers

    protected void intitialiseTransformers()

  Specified by:
    `intitialiseTransformers` in class `Instrumentor`

### createMixinInvokeMethod

    protected javassist.CtMethod createMixinInvokeMethod(javassist.CtClass clazz,
                                                         javassist.CtClass mixinClass,
                                                         String initializer,
                                                         javassist.CtMethod method,
                                                         long hash)
                                                  throws javassist.CannotCompileException,
                                                         javassist.NotFoundException,
                                                         Exception

  Description copied from class: `Instrumentor`
  Creates generic invoke method to be wrapped by real signatures.

  Specified by:
    `createMixinInvokeMethod` in class `Instrumentor`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`
    `Exception`

### getAdvisorName

    protected static String getAdvisorName(javassist.CtClass clazz)

### getInstanceAdvisorName

    protected static String getInstanceAdvisorName(javassist.CtClass clazz)

### getAdvisorFQN

    protected static String getAdvisorFQN(javassist.CtClass clazz)

### getInstanceAdvisorFQN

    protected static String getInstanceAdvisorFQN(javassist.CtClass clazz)

### createAdvisorClass

    protected javassist.CtClass createAdvisorClass(javassist.CtClass clazz)
                                            throws javassist.NotFoundException,
                                                   javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### createInstanceAdvisorClass

    protected javassist.CtClass createInstanceAdvisorClass(javassist.CtClass clazz)
                                                    throws javassist.NotFoundException,
                                                           javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### createAdvisorCtors

    protected void createAdvisorCtors(javassist.CtClass clazz)
                               throws javassist.CannotCompileException,
                                      javassist.NotFoundException

  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### getSuperClassAdvisor

    protected javassist.CtClass getSuperClassAdvisor(javassist.CtClass superclass)
                                              throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### implementInstanceAdvisorMethods

    protected void implementInstanceAdvisorMethods()
                                            throws javassist.NotFoundException,
                                                   javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### doSetupBasics

    protected void doSetupBasics(javassist.CtClass clazz)
                          throws javassist.CannotCompileException,
                                 javassist.NotFoundException

  Specified by:
    `doSetupBasics` in class `Instrumentor`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### updatedAdvicesName

    public static String updatedAdvicesName(String infoName)

### initaliseMethodInfo

    protected void initaliseMethodInfo(String infoName,
                                       long hash,
                                       long unadvisedHash)
                                throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### initialiseFieldReadInfoField

    protected void initialiseFieldReadInfoField(String infoName,
                                                int index,
                                                String fieldName,
                                                long wrapperHash)
                                         throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### initialiseFieldWriteInfoField

    protected void initialiseFieldWriteInfoField(String infoName,
                                                 int index,
                                                 String fieldName,
                                                 long wrapperHash)
                                          throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### initialiseConstructorInfoField

    protected void initialiseConstructorInfoField(String infoName,
                                                  int index,
                                                  long constructorHash,
                                                  long wrapperHash)
                                           throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### initialiseConstructionInfoField

    protected void initialiseConstructionInfoField(String infoName,
                                                   int index,
                                                   long constructorHash)
                                            throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### initialiseCallerInfoField

    protected void initialiseCallerInfoField(String infoName,
                                             String init)
                                      throws javassist.CannotCompileException,
                                             javassist.NotFoundException

  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### addJoinPointGeneratorFieldToGenAdvisor

    protected void addJoinPointGeneratorFieldToGenAdvisor(String name)
                                                   throws javassist.CannotCompileException,
                                                          javassist.NotFoundException

  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.